KausateKausate Docs
Shareholder Graph

Get Shareholder Graph Run

Retrieve typed status for a shareholder graph run.

GET
/v2/companies/shareholder-graph/runs/{orderId}
X-API-Key<token>

Sign up at Kausate.com to get an API key

In: header

Path Parameters

orderId*string

Shareholder graph run ID

Query Parameters

customerPartnerId?|

Optional customer partner ID for validation

includeIntermediateResult?boolean

If true, return intermediate shareholder graph state for running runs.

Defaultfalse

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.kausate.com/v2/companies/shareholder-graph/runs/string"
{
  "orderId": "string",
  "customerReference": "string",
  "partnerCustomerId": "string",
  "status": "running",
  "requestTime": "2019-08-24T14:15:22Z",
  "responseTime": "2019-08-24T14:15:22Z",
  "result": {
    "type": "shareholderGraph",
    "graph": {
      "nodes": [
        {
          "id": "string",
          "type": "company",
          "data": {
            "kausateId": "string",
            "legalName": "string",
            "jurisdictionCode": "aa",
            "identifiers": [
              {
                "value": "string",
                "type": "string",
                "source": "string",
                "description": "string",
                "extra": {}
              }
            ],
            "cumulativeOwnership": {
              "exact": 100,
              "maximum": 100,
              "minimum": 100,
              "exclusiveMinimum": 100,
              "exclusiveMaximum": 100
            },
            "shareholderReport": {
              "sources": {
                "property1": {
                  "type": "selfDeclaration",
                  "name": "string",
                  "jurisdictionCode": "aa",
                  "retrievalTime": "string",
                  "downloadUrl": "string",
                  "fileHash": "string",
                  "fileName": "string",
                  "date": {
                    "original": "string",
                    "normalized": "string"
                  }
                },
                "property2": {
                  "type": "selfDeclaration",
                  "name": "string",
                  "jurisdictionCode": "aa",
                  "retrievalTime": "string",
                  "downloadUrl": "string",
                  "fileHash": "string",
                  "fileName": "string",
                  "date": {
                    "original": "string",
                    "normalized": "string"
                  }
                }
              },
              "shareholders": [
                {
                  "type": "person",
                  "person": {
                    "address": {
                      "type": "arrival",
                      "source": "string",
                      "original": "string",
                      "normalized": {
                        "house": "string",
                        "category": "string",
                        "near": "string",
                        "houseNumber": "string",
                        "road": "string",
                        "unit": "string",
                        "level": "string",
                        "staircase": "string",
                        "entrance": "string",
                        "poBox": "string",
                        "postcode": "string",
                        "suburb": "string",
                        "cityDistrict": "string",
                        "city": "string",
                        "island": "string",
                        "stateDistrict": "string",
                        "state": "string",
                        "county": "string",
                        "countryRegion": "string",
                        "country": "string",
                        "countryCode": "string",
                        "worldRegion": "string"
                      },
                      "coordinate": {
                        "latitude": -90,
                        "longitude": -180
                      }
                    },
                    "contact": {
                      "property1": "string",
                      "property2": "string"
                    },
                    "jurisdictionCode": "aa",
                    "dateOfBirth": {
                      "original": "string",
                      "normalized": "string"
                    },
                    "gender": "string",
                    "identifiers": [
                      {
                        "value": "string",
                        "type": "string",
                        "source": "string",
                        "description": "string",
                        "extra": {}
                      }
                    ],
                    "name": {
                      "firstName": "string",
                      "lastName": "string",
                      "fullName": "string"
                    },
                    "nationality": "string"
                  },
                  "company": {
                    "name": "string",
                    "address": {
                      "type": "arrival",
                      "source": "string",
                      "original": "string",
                      "normalized": {
                        "house": "string",
                        "category": "string",
                        "near": "string",
                        "houseNumber": "string",
                        "road": "string",
                        "unit": "string",
                        "level": "string",
                        "staircase": "string",
                        "entrance": "string",
                        "poBox": "string",
                        "postcode": "string",
                        "suburb": "string",
                        "cityDistrict": "string",
                        "city": "string",
                        "island": "string",
                        "stateDistrict": "string",
                        "state": "string",
                        "county": "string",
                        "countryRegion": "string",
                        "country": "string",
                        "countryCode": "string",
                        "worldRegion": "string"
                      },
                      "coordinate": {
                        "latitude": -90,
                        "longitude": -180
                      }
                    },
                    "legalForm": {
                      "original": "string",
                      "normalized": "string",
                      "iso20275LegalFormCode": "8888",
                      "category": "JSC"
                    },
                    "jurisdictionCode": "aa",
                    "identifiers": [
                      {
                        "value": "string",
                        "type": "string",
                        "source": "string",
                        "description": "string",
                        "extra": {}
                      }
                    ],
                    "status": {
                      "original": "string",
                      "normalized": "active",
                      "isActive": true
                    }
                  },
                  "numberOfShares": 0,
                  "percentage": {
                    "exact": 100,
                    "maximum": 100,
                    "minimum": 100,
                    "exclusiveMinimum": 100,
                    "exclusiveMaximum": 100
                  },
                  "shareClass": "string",
                  "totalNominalValue": {
                    "amount": "string",
                    "iso4217CurrencyCode": "string"
                  },
                  "role": {
                    "original": "string",
                    "englishTranslation": "string",
                    "iso5009RoleCode": "string"
                  },
                  "interestType": "shareholding",
                  "interestDetails": "string",
                  "description": "string",
                  "source": "string"
                }
              ]
            },
            "sourceIds": [
              "string"
            ]
          }
        }
      ],
      "edges": [
        {
          "id": "string",
          "source": "string",
          "target": "string",
          "data": {
            "interestType": "shareholding",
            "interestDetails": "string",
            "role": {
              "original": "string",
              "englishTranslation": "string",
              "iso5009RoleCode": "string"
            },
            "percentage": {
              "exact": 100,
              "maximum": 100,
              "minimum": 100,
              "exclusiveMinimum": 100,
              "exclusiveMaximum": 100
            },
            "shareClass": "string",
            "numberOfShares": 0,
            "totalNominalValue": {
              "amount": "string",
              "iso4217CurrencyCode": "string"
            },
            "sourceId": "string"
          }
        }
      ],
      "rootCompanyId": "string",
      "maxDepth": 0,
      "extractionTimestamp": "string",
      "sources": {
        "property1": {
          "type": "selfDeclaration",
          "name": "string",
          "jurisdictionCode": "aa",
          "retrievalTime": "string",
          "downloadUrl": "string",
          "fileHash": "string",
          "fileName": "string",
          "date": {
            "original": "string",
            "normalized": "string"
          }
        },
        "property2": {
          "type": "selfDeclaration",
          "name": "string",
          "jurisdictionCode": "aa",
          "retrievalTime": "string",
          "downloadUrl": "string",
          "fileHash": "string",
          "fileName": "string",
          "date": {
            "original": "string",
            "normalized": "string"
          }
        }
      }
    }
  },
  "error": "string",
  "currentActivity": "string"
}
{
  "detail": "Invalid company ID format"
}
{
  "detail": "Invalid API key"
}
{
  "detail": "Company not found"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}
{
  "detail": "An internal error occurred"
}

Last updated on